### Enumeration

# Adw ResponseAppearance

#### Declaration

    enum Adw.ResponseAppearance

#### Description [src]

Describes the possible styles of `AdwMessageDialog` response buttons.

See `adw_message_dialog_set_response_appearance()`.

Available since: | 1.2

#### Members

Name | Description
--- | ---
`ADW_RESPONSE_DEFAULT` | The default appearance.
`ADW_RESPONSE_SUGGESTED` | Used to denote important responses such as the affirmative action.
`ADW_RESPONSE_DESTRUCTIVE` | Used to draw attention to the potentially damaging consequences of using the response. This appearance acts as a warning to the user.